Name:          glassfish-policy
Version:       2.3.1
Release:       %mkrel 3
Summary:       WS-Policy implementation
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Url:           http://policy.java.net/
# svn export https://svn.java.net/svn/policy~policy/tags/policy-2.3.1
# tar czf policy-2.3.1-src-svn.tar.gz policy-2.3.1
Source0:       policy-2.3.1-src-svn.tar.gz

Patch0:        glassfish-policy-2.3.1-pom.patch

BuildRequires: java-devel
BuildRequires: jvnet-parent
BuildRequires: jpackage-utils

BuildRequires: buildnumber-maven-plugin
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-plugin-jxr
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-report-plugin

BuildRequires: bea-stax-api
BuildRequires: junit
BuildRequires: sun-istack-commons
BuildRequires: woodstox-core >= 4.1.2-4
BuildRequires: sun-txw2 >= 20110809
Requires:      bea-stax-api
Requires:      sun-istack-commons
Requires:      woodstox-core >= 4.1.2-4
Requires:      sun-txw2 >= 20110809

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
WS-Policy implementation for Project Metro.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n policy-%{version}

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

iconv -f iso8859-1 -t utf-8 LICENSE.txt > LICENSE.txt.conv && mv -f LICENSE.txt.conv LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/policy.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc Licenses/license-policy.html


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.3.1-3.mga3
+ Revision: 351757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 2.3.1-2.mga3
+ Revision: 342935
- Remove findbugs-maven-plugin deps

* Fri Jun 22 2012 dmorgan <dmorgan> 2.3.1-1.mga3
+ Revision: 262689
- imported package glassfish-policy

